.ViewVacancy {
  // min-width: 650px;
  height: 100%;
  padding: 40px;
  padding-bottom: 0;
}
.ViewVacancyContent {
  display: flex;
  gap: 3vw;
  height: 100%;
}
.vacancyPageSeparator {
  height: calc(100% - 40px);
  width: 2px;
  background: #c6c7c8;
}
.leftSide {
  // width: 35%;
  min-width: 450px;
  // flex-shrink: 0;
}
.rightSide {
  padding-top: 40px;
  padding-right: 100px;
  padding-bottom: 20px;
  overflow: hidden;
  overflow-y: auto;
  &::-webkit-scrollbar {
    width: 5px;
    padding-right: 10px;
  }
  &::-webkit-scrollbar-track {
    width: 10px;
    background: none;
  }
  &::-webkit-scrollbar-thumb {
    background: #2dad96;
    // padding: 5px;
    border-radius: 15px;
    // border: 10px solid #f8f8fd;
    box-sizing: border-box;
  }
}
.logo {
  display: flex;
  margin-bottom: 26px;
  gap: 10px;
}
.logoSeparator {
  width: 2px;
  background: #000;
}
.companyLogo {
  width: 85px;
  height: 30px;
  object-fit: contain;
}
.companyInfo {
  color: #1b2124;
  display: flex;
  //   justify-content: space-between;
  align-items: center;
  gap: 16px;
  font-size: 14px;
  margin-bottom: 15px;
  & div {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}
.companyDomainAddress {
  color: #2dad96;
  display: block;
  margin-bottom: 24px;
  transition: all 0.3s;
  cursor: pointer;
  &:hover {
    color: #0b725f;
  }
}
.companyDomain {
  display: flex;
  gap: 8px;
}
.companyDescription {
  & > :first-child {
    margin-bottom: 10px;
  }
  & > :last-child {
    color: #2dad96;
  }
}
.dot {
  background: #000;
  height: 2px;
  width: 2px;
  border-radius: 50%;
}
.vacancyInfo {
  padding: 8px 18px;
  border: 1px solid #fbedb1;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-bottom: 20px;
}
.vacancyInfoItemSeparator {
  height: auto;
  width: 2px;
  background: #fbedb1;
}

.vacancyInfoItem {
  display: flex;
  flex-direction: column;
  gap: 5px;
  width: 100%;
}
.vacancyInfoItemValue {
  color: #1b2124;
  display: flex;
  align-items: center;
  gap: 10px;
}
.vacancyDescription {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 24px;
}
.vacancyJobRequirements {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 24px;
}
.rightSide {
  word-break: break-word;
}
.otherVacancies {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 24px;
}
.otherVacaniesItem {
  position: relative;
  padding-left: 15px;
  display: flex;
  gap: 10px;
  font-size: 18px;
  line-height: 100%;
  &::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 5px;
    height: 5px;
    border-radius: 50%;
    border: 2px solid #7a7a7a;
  }
}
.otherVacaniesItemName {
  color: #7f879e;
  text-decoration: underline #47b7a3;
}
.otherVacaniesItemPrice {
  color: #d4d4d4;
  font-size: 18px;
}
@media (max-width: 1300px) {
  .ViewVacancy {
    padding: 20px;
    padding-bottom: 00px;
  }
  .leftSide {
    min-width: 350px;
  }
  .rightSide {
    padding-top: 20px;
    padding-right: 40px;
  }
  .vacancyPageSeparator {
    height: calc(100% - 20px);
  }
}
@media (max-width: 950px) {
  .leftSide {
    min-width: 300px;
  }

  .vacancyInfo {
    padding: 8px 10px;
    gap: 8px;
  }
}
@media (max-width: 768px) {
  .ViewVacancy {
    padding: 20px;
    overflow-y: auto;
    &::-webkit-scrollbar {
      width: 15px;
      border: 10px solid #f8f8fd;
      margin-right: 10px;
    }
    &::-webkit-scrollbar-track {
      width: 10px;
      background: none;
    }
    &::-webkit-scrollbar-thumb {
      background: #2dad96;
      // padding: 5px;
      border-radius: 15px;
      border: 5px solid #f8f8fd;

      box-sizing: border-box;
    }
  }
  .ViewVacancyContent {
    gap: 0;
    flex-direction: column;
  }
  .vacancyPageSeparator {
    display: none;
  }
  .rightSide {
    padding-top: 0;
    padding-right: 0;
    overflow-y: unset;
    overflow: unset;
  }
  .vacancyInfo {
    padding: 8px 10px;
    gap: 8px;
  }
}
@media (max-width: 500px) {
  .ViewVacancy {
    padding: 10px;
    padding-bottom: 0;
  }
  .leftSide {
    min-width: unset;
  }
  .vacancyInfo {
    padding: 8px 10px;
    flex-direction: column;

    gap: 6px;
  }
  .vacancyInfoItemSeparator {
    width: 100%;
    height: 1px;
  }
  .vacancyInfoItem {
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
  }
  // .vacancyInfoItemValue {
  //   color: #1b2124;
  //   display: flex;
  //   align-items: center;
  //   gap: 6px;
  //   & div {
  //     font-size: 12px !important;
  //   }
  // }
}
.telegramLink {
  border-radius: 5px;
  font-size: 16px;
  padding: 8px 14px;
  cursor: pointer;
  transition: all 0.3s ease;
  font-weight: 500;
  position: relative;
  display: flex;
  align-items: center;
  gap: 8px;
  width: fit-content;
  border: 1px solid rgba(45, 173, 149, 0);
  background: #2dad96;
  color: #fff;
  transition: all 0.1s ease;
  &:hover {
    background: #fff;
    border: 1px solid #2dad96;
    color: #2dad96;
  }
}
